<?php
require_once( 'base.php' );

class Result extends Base
{
	protected $page = null;

	function __construct()
	{
		parent::__construct();
		$this->key = true;
		$this->auth = false;
	}

	function OnInput()
	{
		parent::oninput();
		$query = $this->F->GetQuery($_SERVER['REQUEST_URI']);
		$controller = $this->F->GetController($_SERVER['REQUEST_URI']);
		$this->page = $this->F->GetPage($controller);
		
		if (isset($_POST['query']) && !empty($_POST['query']))
		{
			if ($this->F->config['SEARCH'])
			{
				$query = $_POST['query'];
			}
		}
		
		if (!empty($query))
		{
			if ($this->F->CheckQuery($query))
			{
				$this->View('404', array('T' => mTemp::instance()));
			}
			
			$elements = $this->F->Run($query);
			
			$this->T = mTemp::instance($query, $elements);
			
			if ($controller == 'search')
			{
				$url = $this->F->CreateUrl($this->F->config['ROUTE'] . '/' . $query);
				$this->F->Ping($query, $url);
				return null;
			}
		}
		else
		{
			$query = $this->F->Query();
			$elements = $this->F->Run($query);
			$this->T = mTemp::instance($query, $elements);

			if (in_array($controller, $this->F->GetFolders()))
			{
				$this->page = $controller . '/without';
				return null;
			}

			$this->page = 'default/without';
		}
	}

	function OnOutput()
	{
		$this->content = $this->Template($this->page, array('T' => $this->T));
		parent::onoutput();
	}
}
?>