function A(url, data, success)
{
	$.ajax
	({
		url: url,
		type: 'POST',
		data: data,
		beforeSend: function()
		{
			$('#load').show();
		},
		success: success
	});
}

function GetConfig()
{
	$('div.sidebar ul.tabs').children().removeClass('current');
	$('div.sidebar ul.tabs li[data-tab=config]').addClass('current');

	var url = '/ajax/get/config';
	var domain = $('#domain').attr('title');
	var data = {domain : domain};

	A(url, data, function(data)
	{
		$('div.content div').removeClass('show');
		$('div.content div.config').addClass('show');
		$('div.content div.config').html(data);

		$('#load').hide();
	});
}

function SetConfig(e)
{
	$('div.config i').removeClass('okay');

	var url = '/ajax/set/config';
	var domain = $('#domain').attr('title');
	var key = $(e).attr('name');
	var value = $(e).val();
	var config = {};
		config[key] = value;
	var data = {domain : domain, config : config};

	A(url, data, function()
	{
		$(e).next('i').addClass('okay');
		$('#load').hide();
	});
}

function GetPlugins()
{
	$('div.sidebar ul.tabs li').removeClass('current');
	$('div.sidebar ul.tabs li[data-tab=plugins]').addClass('current');

	var url = '/ajax/get/plugins';
	var domain = $('#domain').attr('title');
	var data = {domain : domain};

	A(url, data, function(data)
	{
		$('div.content div').removeClass('show');
		$('div.content div.plugins').addClass('show');
		$('div.content div.plugins').html(data);

		$('#load').hide();
	});
}

function SetPlugin(e)
{
	var url = '/ajax/set/plugin';
	var domain = $('#domain').attr('title');
	var key = $(e).attr('name');
	var value = $(e).val();
	var plugin = {};
		plugin[key] = value;
	var data = {domain : domain, plugin : plugin};

	A(url, data, function()
	{
		$('#load').hide();
	});
}

function GetUtils()
{
	$('div.sidebar ul.tabs li').removeClass('current');
	$('div.sidebar ul.tabs li[data-tab=utils]').addClass('current');

	$('div.content div').removeClass('show');
	$('div.content div.utils').addClass('show');

	GetArchive('urls.zip', 'generator');
	GetArchive('keywords.zip', 'filter');
	GetWords();
}

function GetCounter()
{
	$('div.sidebar ul.tabs li').removeClass('current');
	$('div.sidebar ul.tabs li[data-tab=counter]').addClass('current');

	$('div.content div').removeClass('show');
	$('div.content div.counter').addClass('show');

	var url = '/ajax/get/counter';
	var domain = $('#domain').attr('title');
	var data = {domain : domain};

	A(url, data, function(data)
	{
		$('div.content div').removeClass('show');
		$('div.content div.counter').addClass('show');
		$('div.content div.counter textarea').text(data);

		$('#load').hide();
	});
}

function SetCounter()
{
	var url = '/ajax/set/counter';
	var domain = $('#domain').attr('title');
	var counter = $('div.content div.counter textarea').val();
	var data = {domain : domain, counter : counter};

	A(url, data, function()
	{
		$('#load').hide();
	});
}

function GetUrls()
{
	$('div.sidebar ul.tabs li').removeClass('current');
	$('div.sidebar ul.tabs li[data-tab=urls]').addClass('current');

	$('div.content div').removeClass('show');
	$('div.content div.urls').addClass('show');

	var url = '/ajax/get/urls';
	var domain = $('#domain').attr('title');
	var data = {domain : domain};

	A(url, data, function(data)
	{
		$('div.content div').removeClass('show');
		$('div.content div.urls').addClass('show');
		$('div.content div.urls textarea').text(data);

		$('#load').hide();
	});
}

function SetUrls()
{
	var url = '/ajax/set/urls';
	var domain = $('#domain').attr('title');
	var urls = $('div.content div.urls textarea').val();
	var data = {domain : domain, urls : urls};

	A(url, data, function()
	{
		$('#load').hide();
	});
}

function GetDomain(e)
{
	var domain = $(e).text();

	$('div.top h1').html('Текущий домен: ' + domain);
	$('div.domains p span').attr('title', domain);
	$('div.domains p span').html(domain);

	if(domain == 'default')
	{
		$('div.sidebar ul.tabs li').hide();
		$('div.sidebar ul.tabs li:lt(3)').show();
		$('div.sidebar ul.tabs li[data-tab=config]').addClass('current');
	}
	else
	{
		$('div.sidebar ul.tabs li').show();
	}

	GetConfig();
}

function GetTenDomains()
{
	var url = '/ajax/get/tendomains';

	A(url, function(){}, function(data)
	{
		$('div.domains ul').html(data);

		$('#load').hide();
	});
}

function GetAllDomains()
{
	$('div.sidebar ul.tabs li').removeClass('current');
	$('div.sidebar ul.tabs li[data-tab=domains]').addClass('current');

	GetArchive('domains.zip', 'kinder');

	var url = '/ajax/get/alldomains';

	A(url, function(){}, function(data)
	{
		$('div.content div').removeClass('show');
		$('div.content div.domains').addClass('show');
		$('div.content div.domains ul').html(data);

		$('#load').hide();
	});
}

function GetProxiesInterfaces()
{
	$('div.domains').hide();
	$('div.sidebar').hide();
	$('div.content').hide();
	$('div.cp').hide();
	$('div.pi').show();

	GetProxies();
	GetInterfaces();
}

function GetChangePassword()
{
	$('div.domains').hide();
	$('div.sidebar').hide();
	$('div.content').hide();
	$('div.pi').hide();
}

function GetProxies()
{
	var url = '/ajax/get/proxies';

	A(url, function(){}, function(data)
	{
		$('div.proxies textarea').html(data);

		$('#load').hide();
	});
}

function SetProxies()
{
	var url = '/ajax/set/proxies';
	var proxies = $('div.proxies textarea').val();
	var data = {proxies : proxies};

	A(url, data, function()
	{
		$('#load').hide();
	});
}

function GetInterfaces()
{
	var url = '/ajax/get/interfaces';

	A(url, function(){}, function(data)
	{
		$('div.interfaces textarea').html(data);

		$('#load').hide();
	});
}

function SetInterfaces()
{
	$('div.main div.cp').hide();

	var url = '/ajax/set/interfaces';
	var interfaces = $('div.interfaces textarea').val();
	var data = {interfaces : interfaces};

	A(url, data, function()
	{
		$('#load').hide();
	});
}

function GetWords()
{
	var url = '/ajax/get/words';

	A(url, function(){}, function(data)
	{
		$('div.utils div.filter textarea').html(data);

		$('#load').hide();
	});
}

function SetWords()
{
	var url = '/ajax/set/words';
	var words = $('div.utils div.filter textarea').val();
	var data = {words : words};

	A(url, data, function()
	{
		$('#load').hide();
	});
}

function GetArchive(archive, utility)
{
	$('div.' + utility + ' p').addClass('hide');

	var url = '/ajax/get/archive';
	var domain = $('#domain').attr('title');
	var data = {domain : domain, archive : archive};

	A(url, data, function(data)
	{
		if(data)
		{
			$('div.' + utility + ' p').removeClass('hide');
			$('div.' + utility + ' p').html(data);
		}
		$('#load').hide();
	});
}

function RemoveArchive(e)
{
	var url = '/ajax/remove/archive';
	var archive = $(e).prev('a').text();
	var data = {archive : archive};

	A(url, data, function()
	{
		$(e).parents('p').addClass('hide');
		$('#load').hide();
	});
}

function RemoveDomain(e)
{
	var url = '/ajax/remove/domain';
	var domain = $(e).next('span').text();
	var data = {domain : domain};

	A(url, data, function()
	{
		GetAllDomains();
		$('#load').hide();
	});
}

function Generator()
{
	var domain = $('#domain').attr('title');

	$('#file input[name=domain]').val(domain);
	$('#file').ajaxSubmit(
	{
		target: 'div.utils div.generator p',
		beforeSubmit: function()
		{
			$('div.utils div.generator p').removeClass('hide');
			$('#load').show();
		},
		success: function()
		{
			$('#load').hide();
		},
		clearForm: true
	});
}

function Filter()
{
	$('div.utils div.filter p').removeClass('hide');

	var url = '/ajax/utils/filter';
	var domain = $('#domain').attr('title');
	var data = {domain : domain};

	A(url, data, function(data)
	{
		$('div.utils div.filter p').html(data);

		$('#load').hide();
	});
}

function Cleaner(directory)
{
	$('div.utils div.cleaner p').removeClass('hide');

	var url = '/ajax/utils/cleaner';
	var domain = $('#domain').attr('title');
	var data = {domain : domain, directory : directory};

	A(url, data, function(data)
	{
		$('div.utils div.cleaner p').html(data);

		$('#load').hide();
	});
}

function Pluginer(count)
{
	$('div.utils div.pluginer p').removeClass('hide');

	$('#load').show();

	var url = '/ajax/utils/pluginer';
	var i = 0;

	$.each(plugins, function(category, array)
	{
		var data = {};
		$.each(array, function(plugin)
		{
			data['category'] = category;
			data['plugin'] = plugin;

			A(url, data, function(data)
			{
				i++;
				if(i >= count)
				{
					$('div.utils div.pluginer p').html(data);
					$('#load').hide();
				}
			});
		});
	});
}

function Kinder()
{
	$('div.domains div.kinder p').removeClass('hide');

	var url = '/ajax/utils/kinder';
	var domains = $('div.domains div.kinder textarea').val();
	var folder = $('div.domains div.kinder input:checked').val();
		folder = (folder) ? folder : '';
	var data = {domains : domains, folder : folder};

	A(url, data, function(data)
	{
		$('div.domains div.kinder p').html(data);

		$('#load').hide();
	});
}